Hrm Employee Statutory Deductions
Function-calling namespace: hrmEmployeeStatutoryDeductions
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: private API; Stack access token is required.
- Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - Allowed roles:
platform_admin,hr. - Missing or invalid token returns
401; authenticated users without an allowed role return403.
create
Source: backend/endpoints/hrm-employee-statutory-deductions/create
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | No | - |
employeeId | string | No | - |
pfEnabled | boolean | No | - |
pfType | string | No | - |
pfPercentage | number | No | - |
esiEnabled | boolean | No | - |
esiType | string | No | - |
esiPercentage | number | No | - |
tdsEnabled | boolean | No | - |
tdsPercentage | number | No | - |
professionalTaxEnabled | boolean | No | - |
professionalTaxAmount | number | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeStatutoryDeductions",
"apiName": "create",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }getByEmployee
Source: backend/endpoints/hrm-employee-statutory-deductions/get-by-employee
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | No | - |
employeeId | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeStatutoryDeductions",
"apiName": "getByEmployee",
"data": {
"organizationId": "org_123"
}
}'Example Response
{ "status": "ok", "data": {} }update
Source: backend/endpoints/hrm-employee-statutory-deductions/update
Input schema type: deductions.InputSchema
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token>" \
-d '{
"namespace": "hrmEmployeeStatutoryDeductions",
"apiName": "update",
"data": {}
}'Example Response
{ "status": "ok", "data": {} }